| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IParticleGravityAffector Class Reference

A particle affector which applies gravity to particles. More...

`#include <IParticleGravityAffector.h>`

Inheritance diagram for irr::scene::IParticleGravityAffector:

List of all members.

## Public Member Functions

- virtual const core::vector3df & getGravity () const =0
    Get the direction and force of gravity.
- virtual f32 getTimeForceLost () const =0
    Get the time in milliseconds when the gravity force is totally lost.
- virtual E_PARTICLE_AFFECTOR_TYPE getType () const
    Get emitter type.
- virtual void setGravity (const core::vector3df &gravity)=0
    Set the direction and force of gravity in all 3 dimensions.
- virtual void setTimeForceLost (f32 timeForceLost)=0
    Set the time in milliseconds when the gravity force is totally lost.

## Detailed Description

A particle affector which applies gravity to particles.

Definition at line 16 of file IParticleGravityAffector.h.

## Member Function Documentation

virtual const core::vector3df& irr::scene::IParticleGravityAffector::getGravity | ( |  | ) | const`[pure virtual]`

Get the direction and force of gravity.

virtual f32 irr::scene::IParticleGravityAffector::getTimeForceLost | ( |  | ) | const`[pure virtual]`

Get the time in milliseconds when the gravity force is totally lost.

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleGravityAffector::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 34 of file IParticleGravityAffector.h.

References irr::scene::EPAT_GRAVITY.

virtual void irr::scene::IParticleGravityAffector::setGravity | ( | const core::vector3df & | gravity | ) | `[pure virtual]`

Set the direction and force of gravity in all 3 dimensions.

virtual void irr::scene::IParticleGravityAffector::setTimeForceLost | ( | f32 | timeForceLost | ) | `[pure virtual]`

Set the time in milliseconds when the gravity force is totally lost.

At that point the particle does not move any more.

The documentation for this class was generated from the following file:

- IParticleGravityAffector.h